org.glassfish.jersey.server.monitoring

## Interface ResourceMethodMXBean

    public interface ResourceMethodMXBean

MXBean interface of resource method MXBeans.

Author:
  Miroslav Fuksa

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getConsumesMediaType()` Get the string with media types consumed by this method, enclosed in double quotas and separated by a comma (e.g.
`String` `getDeclaringClassName()` Get the full class name of the class that declares the handling method.
`String` `getHttpMethod()` Get the HTTP method of the method.
`String` `getMethodName()` Get the name of the Java method.
`String` `getPath()` Get the sub resource method path of the method.
`String` `getProducesMediaType()` Get the string with media types produced by this method, enclosed in double quotas and separated by a comma (e.g.

### Method Detail

#### getMethodName

    String getMethodName()

Get the name of the Java method.

Returns:
  Name of method.

#### getPath

    String getPath()

Get the sub resource method path of the method. This field is non-null only for sub resource methods and contains path relative to resource in which the method is defined.

Returns:
  Sub resource method path or null if the method is not a sub resource method.

#### getHttpMethod

    String getHttpMethod()

Get the HTTP method of the method.

Returns:
  HTTP method (e.g. GET, POST, ...)

#### getDeclaringClassName

    String getDeclaringClassName()

Get the full class name of the class that declares the handling method.

Returns:
  Full class name.

#### getConsumesMediaType

    String getConsumesMediaType()

Get the string with media types consumed by this method, enclosed in double quotas and separated by a comma (e.g. "text/plain","text/html").

Returns:
  Consumed media types.

#### getProducesMediaType

    String getProducesMediaType()

Get the string with media types produced by this method, enclosed in double quotas and separated by a comma (e.g. "text/plain","text/html").

Returns:
  Produced media types.